summaryrefslogtreecommitdiffstats
path: root/network/amfora-bin/amfora-bin.SlackBuild
diff options
context:
space:
mode:
author B. Watson2024-03-10 14:55:57 +0100
committer Willy Sudiarto Raharjo2024-03-11 00:47:05 +0100
commit13c7df01db950ff5ca0638740b512c1464e6bcc2 (patch)
treecbeaa1bf95505b724f9c4fd2b460d0c0c814705c /network/amfora-bin/amfora-bin.SlackBuild
parent7b03d490afb1fcdbfce081b3efab3a4b796de169 (diff)
downloadslackbuilds-13c7df01db950ff5ca0638740b512c1464e6bcc2.tar.gz
network/amfora-bin: Added (Gemini browser client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/amfora-bin/amfora-bin.SlackBuild')
-rw-r--r--network/amfora-bin/amfora-bin.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/network/amfora-bin/amfora-bin.SlackBuild b/network/amfora-bin/amfora-bin.SlackBuild
new file mode 100644
index 0000000000..f285baf99b
--- /dev/null
+++ b/network/amfora-bin/amfora-bin.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+# Slackware build script for amfora-bin
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=amfora-bin
+SRCNAM=amfora
+VERSION=${VERSION:-1.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+EXE=""
+case "$ARCH" in
+ i?86) EXE=${SRCNAM}_${VERSION}_linux_32-bit ;;
+ x86_64) EXE=${SRCNAM}_${VERSION}_linux_64-bit ;;
+ aarch64) EXE=${SRCNAM}_${VERSION}_linux_arm64 ;;
+esac
+
+if [ "$EXE" = "" ]; then
+ cat <<EOF
+===================================================
+Sorry, ARCH="$ARCH" is not supported.
+Only i586, i686, x86_64, and aarch64 are supported.
+===================================================
+EOF
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+install -D -m0755 -oroot -groot $CWD/$EXE usr/bin/$SRCNAM
+
+# the binary includes no docs, icon, desktop, anything else. so
+# they're included with the SlackBuild (taken from the git repo at
+# https://github.com/makew0rld/amfora). amfora.png is a scaled-down
+# copy of logo.png.
+
+install -D -m0644 -oroot -groot \
+ $CWD/amfora.desktop usr/share/applications/amfora.desktop
+install -D -m0644 -oroot -groot \
+ $CWD/amfora.png usr/share/icons/hicolor/64x64/apps/amfora.png
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+install -m0644 -oroot -groot $CWD/docs/* $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE